Bug 1494761 - python-django-2.0.1 is available
Summary: python-django-2.0.1 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1534542
TreeView+ depends on / blocked
 
Reported: 2017-09-23 00:18 UTC by Upstream Release Monitoring
Modified: 2018-01-19 13:20 UTC (History)
8 users (show)

Fixed In Version: python-django-2.0.1-1.fc28
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-19 13:20:23 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 2.0.1 (#1494761) (892 bytes, patch)
2018-01-04 12:14 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-09-23 00:18:34 UTC
Latest upstream release: 2.0a1
Current version/release in rawhide: 1.11.5-1.fc28
URL: https://pypi.python.org/pypi/Django

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3828/

Comment 1 Upstream Release Monitoring 2017-09-23 00:18:52 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://files.pythonhosted.org/packages/source/D/Django/Django-2.0a1.tar.gz to ./Django-2.0a1.tar.gz

Comment 2 Upstream Release Monitoring 2017-10-20 00:16:40 UTC
Latest upstream release: 2.0b1
Current version/release in rawhide: 1.11.5-1.fc28
URL: https://pypi.python.org/pypi/Django

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3828/

Comment 3 Upstream Release Monitoring 2017-10-20 00:16:50 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://files.pythonhosted.org/packages/source/D/Django/Django-2.0b1.tar.gz to ./Django-2.0b1.tar.gz

Comment 4 Upstream Release Monitoring 2017-11-16 00:13:36 UTC
Latest upstream release: 2.0rc1
Current version/release in rawhide: 1.11.5-1.fc28
URL: https://pypi.python.org/pypi/Django

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3828/

Comment 5 Upstream Release Monitoring 2017-11-16 00:13:42 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://files.pythonhosted.org/packages/source/D/Django/Django-2.0rc1.tar.gz to ./Django-2.0rc1.tar.gz

Comment 6 Petr Viktorin 2017-12-05 07:35:05 UTC
Hi Matthias,
Django 2.0 is out, and it drops support for Python 2.
Would you like help with handling that?

Comment 7 Matthias Runge 2017-12-05 07:56:47 UTC
Petr, 

yes, I guess I'll need help with this. When updating django, I'll probably break all dependent packages. I guess, I should send out a mail to devel@lists.fp.o before.

Comment 10 Miro Hrončok 2017-12-05 12:48:54 UTC
https://src.fedoraproject.org/rpms/python-django-keyedcache/pull-request/1
https://src.fedoraproject.org/rpms/python-django-filter/pull-request/1
https://bugzilla.redhat.com/show_bug.cgi?id=1520890

^^^ those are a couple of packages, where I'ma co-maintainer. just for inspiration (and for feedback)

Comment 11 Petr Viktorin 2017-12-12 16:26:54 UTC
This is big enough to have its own Fedora Change: https://fedoraproject.org/wiki/Changes/Django20

Comment 12 Upstream Release Monitoring 2018-01-04 12:14:17 UTC
Latest upstream release: 2.0.1
Current version/release in rawhide: 1.11.8-1.fc28
URL: https://pypi.python.org/pypi/Django

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3828/

Comment 13 Upstream Release Monitoring 2018-01-04 12:14:35 UTC
Created attachment 1376864 [details]
[patch] Update to 2.0.1 (#1494761)

Comment 14 Upstream Release Monitoring 2018-01-04 12:16:47 UTC
hotness's scratch build of python-django-2.0.1-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=23993131

Comment 15 Miro Hrončok 2018-01-19 13:20:23 UTC
Let's see what will break now :)


Note You need to log in before you can comment on or make changes to this bug.